## gxr-openvr 0.15.1

=== meson_options.txt ===
option('api_doc',
  type: 'boolean',
  value: false,
  description: 'Build API documentation using GTK-Doc'
)

option('backends',
  type: 'array',
  choices: [ 'auto', 'openvr', 'openxr' ],
  value: [ 'auto' ],
  description: 'XR runtime backends to build'
)

option('cube_renderdoc',
       type: 'boolean',
       value: false,
       description: 'Enable debugging the cube example with renderdoc'
)

option('introspection', type : 'boolean', value : false)

=== debian/changelog ===
gxr-openvr (0.15.1-2ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:23:03 +0000

gxr-openvr (0.15.1-2ubuntu3) noble; urgency=high

  * Remove libgxr-0.15-0, libsdl-2.0-0 depends. They are taken care of by
    shlibs and break time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:23:52 +0100

gxr-openvr (0.15.1-2ubuntu1) noble; urgency=medium

  * s/libgxr-0.15-0/libgxr-dev/ in Build-Depends.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 22 Mar 2024 18:20:57 +1300

gxr-openvr (0.15.1-2build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:00:00 +0000

gxr-openvr (0.15.1-2build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Thu, 10 Mar 2022 06:59:34 -0500

gxr-openvr (0.15.1-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 08 Aug 2020 13:22:29 +0800

gxr-openvr (0.15.1-1) experimental; urgency=medium

  * Rename from gxr and build against to non-free libopenvr-dev.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 29 Jul 2020 21:39:32 +0800

gxr (0.15.1-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 21 Jul 2020 14:58:40 +0800

gxr (0.15.1-1) experimental; urgency=medium

  * New upstream version 0.15.1
  * Drop non-free libopenvr support. (Closes: #959608, #963882)
  * Bump Standard-Version to 4.5.0.
  * Rename shared library package for soname bump.
  * Bump build-deps on libgulkan 0.15.
  * Clean up rules for non-free libopenvr support.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 20 Jul 2020 13:46:49 +0800

gxr (0.14.0-4) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 24 Apr 2020 12:12:25 +0800

gxr (0.14.0-3) unstable; urgency=medium

  * Update package descriptions.
  * Package both openvr and openxr backends. (Closes: #956732)
  * Use chrpath utility to remove the RPATH.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 21 Apr 2020 18:27:00 +0800

gxr (0.14.0-2) unstable; urgency=medium

  * Source only upload.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 14 Apr 2020 17:28:50 +0800

gxr (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches already included in upstream.
  * Build against to openxr instead of non-free openvr.
  * Move to main as no depends on non-free software openvr now.
  * debian/control: update versioned build-deps on gulkan.
  * Rename package to match the sonames numbers.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Fri, 03 Apr 2020 14:00:55 +0800

gxr (0.13.2-2) unstable; urgency=medium

  * debian/control: update build-depends and depends for openvr
    transition.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Wed, 11 Dec 2019 16:13:40 +0800

gxr (0.13.2-1) unstable; urgency=medium

  * New upstream 0.13.2 release.
  * debian/copyright: update DFSG license for the cat image.
  * Cherry-pick upstream patches to support openvr version 0.8.19.
  * Use chrpath utility to remove the RPATH.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Mon, 25 Nov 2019 14:16:57 +0800

gxr (0.13.1-1) unstable; urgency=medium

  * New upstream 0.13.1 release.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sat, 12 Oct 2019 19:55:22 +0800

gxr (0.12.1-1) unstable; urgency=medium

  * Initial Release. (Closes: #933568)

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Sun, 04 Aug 2019 10:17:40 +0800

=== debian/control ===
Source: gxr-openvr
Section: contrib/libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Andrew Lee (李健秋) <ajqlee@debian.org>
Uploaders: Héctor Orón Martínez <zumbi@debian.org>
Build-Depends:
 debhelper (>= 11),
 chrpath,
 glslang-tools,
 gobject-introspection,
 gtk-doc-tools,
 libgtk-3-dev (>= 3.22),
 libgulkan-dev (>= 0.15.0),
 libgxr-dev,
 libjson-glib-dev,
 libopenvr-dev,
 mesa-common-dev,
 meson (>= 0.45.1),
 pkg-config,
Standards-Version: 4.5.0
Homepage: https://gitlab.freedesktop.org/xrdesktop/gxr
Vcs-Browser: https://salsa.debian.org/xrdesktop-team/gxr
Vcs-Git: https://salsa.debian.org/xrdesktop-team/gxr.git

Package: libgxr-openvr-0.15-0
Section: contrib/libs
Architecture: linux-any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks: libgxr-0.14-0 (<< 0.15)
Replaces: libgxr-0.14-0 (<< 0.15)
Description: gxr backend for nonfree OpenVR libraries
 A glib wrapper and utilities for the OpenVR and OpenXR APIs.
 .
 This package contains the openvr backend shared library.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
VER := $(shell dh_listpackages | cut -c15-18)

%:
	dh $@

override_dh_auto_install:
	install -d debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gxr-$(VER)/backends/
	install build/src/libgxr-openvr.so \
	  debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gxr-$(VER)/backends/
	chrpath -d debian/tmp/usr/lib/*/gxr-0.*/backends/libgxr-openvr.so

override_dh_missing:
	dh_missing --list-missing

test_env = \
	-u DISPLAY \
	HOME=$(CURDIR)/debian/tmp-home XDG_CACHE_HOME=

override_dh_auto_test:
	install -d $(CURDIR)/debian/tmp-home/.cache/gxr
	# Run tests without VR runtime
	env $(test_env) meson build
	env $(test_env) ninja -C build
	env $(test_env) meson test -C build/ --no-suite gxr:xr --no-suite post-install
